Can't open folder containing mp3 with ffmpeg plugin
Status: Rejected Start date: February 18, 2022

Priority: Minor Due date:  

Assignee:  % Done: 0%

Category: plugins/ffaudio Estimated time: 0.00 hour

Target version:    

Affects version: 4.1   

Description

Problem

When trying to open a folder containing mp3 files I get the error message "No files found.". This happens if only ffmpeg is activated

as input plugin. With (additionally) activated mpg123 plugin it works.

How to reproduce

- Activate ffmpeg plugin and deactivate mpg123 plugin

- Open folder containing mp3 files

It seems to be a similar problem like https://redmine.audacious-media-player.org/issues/1137.

History

#1 - February 18, 2022 13:23 - John Lindgren

You need to enable the mpg123 plugin. Not a bug.

#2 - February 18, 2022 13:23 - John Lindgren

- Status changed from New to Rejected

#3 - February 18, 2022 14:04 - M H

Ah, sorry, I wasn't aware of this...

#4 - February 19, 2022 06:15 - M H

For my understanding:

Just for opening a folder I need mpg123?

Because with ffmpeg activated and mpg123 deactivated I can open single or multiple mp3 files and play them.

#5 - February 19, 2022 13:54 - John Lindgren

The .mp3 extension is (by design) associated only with the mpg123 plugin.  If you disable that plugin, then MP3 support no longer fully works.

The fact that you can still play MP3 files via ffmpeg, by adding them individually, is an accident.  It's not supported.

#6 - February 19, 2022 14:26 - M H

OK, thanks for the explanation.
